Subject: Ticket Assigned - Delivery
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Fri, 16 Sep 2022 01:50:41 +0000

Hi Sohaib Ahmed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery My order was delivered to a wrong address and no effort or action is being taken since last week on Saturday the 10th of September 2022. I have informed your customer service that my order was delivered to a wrong address based on the evidence they provided to me that the order was delivered, but they keep on telling me that you will be contacted after 48 hours . Is this how you handle customers , with such attitude like you are trying to swap my concern under the carpet ? Honestly l expect better from a well established organization like yours. I work with customers myself and such like a case is so simple to just ask your delivery team to collect the items from where they delivered them since even the picture they took is totally wrong from the provided address details.Please I’m expecting better feedback, not robotic  like answers which are one sided. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4880333